### Constructor

# Dex Future new_for_fd

since: 0.10

#### Declaration [src]

    DexFuture*
    dex_future_new_for_fd (
      int fd
    )

#### Description [src]

Creates a new future that resolves to `fd`.

This function takes ownership of `fd`.

Available since: 0.10

#### Parameters

`fd`

  Type: `int`

  The file-descriptor to take ownership of.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.